-1

I've installed Firefox 52.0.1 (64-bit) on a latest updated Kali Linux machine in a non-root user. The problem is firefox tries to automatically update in the background but fails popping this message:

You do not have the system permissions required to install it.

Here is the screenshot too.

Screenshot

Any Help?

migrated from webapps.stackexchange.com Mar 29 '17 at 23:47

This question came from our site for power users of web applications.

1

Someone using kali as a non root user? Awesome. But for once, that's exactly where your problem is - you probably have firefox installed as a root user with other users allowed to use it.

In theory (and I don't use kali, but assume its sane here) you could simply use your package manager to update firefox. Otherwise run firefox as root (eww) and let it update.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy